/*
 * $Id$
 * Copyright (c) 2006 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.kinako.object;

/**
 * failure遷移例外
 * KinakoBaseActionでcatchして，自動的にfailure遷移を行なうためのマーカー．
 * @author satoshi akabane@logical-paradox.org
 * @versiop $Revision$
 */
public class FailureTransitionException extends Exception {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = 5816539521125616161L;

	/**
	 * コンストラクタ．
	 */
	public FailureTransitionException() {
		super();
	}
	/**
	 * コンストラクタ．
	 * @param msg メッセージ
	 */
	public FailureTransitionException(String msg) {
		super(msg);
	}
	/**
	 * コンストラクタ．
	 * @param e 元になった例外
	 */
	public FailureTransitionException(Exception e) {
		super(e);
	}
}
